From dd01b238341d466636573c66047e744c8961d97c Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Mon, 29 Oct 2018 10:42:19 -0400
Subject: [PATCH 1/2] Use window.open over setting window.location to avoid
 race conditions. (re. #14922)

Setting window.location.href will abort AJAX requests resulting
in a NetworkError depending on the timing and browser.
---
 wiki/src/install/inc/js/download.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/wiki/src/install/inc/js/download.js b/wiki/src/install/inc/js/download.js
index 2c17b1deb8..6559191cfb 100644
--- a/wiki/src/install/inc/js/download.js
+++ b/wiki/src/install/inc/js/download.js
@@ -278,7 +278,9 @@ document.addEventListener("DOMContentLoaded", function() {
       toggleDirectBitTorrent("direct");
       resetVerificationResult();
     } finally {
-      window.location = this.getAttribute("href");
+      // Setting window.location.href will abort AJAX requests resulting
+      // in a NetworkError depending on the timing and browser.
+      window.open(this.getAttribute("href"), "_blank");
     }
   }
 
-- 
2.19.1

